Subject: bug#35599: closed (No sound most of the time (dummy output))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 May 2019 15:19:02 +0000

Your bug report

#35599: No sound most of the time (dummy output)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35599: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35599
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: No sound most of the time (dummy output)
From: sirgazil <[email-masked]>
To: "35599-done" <[email-masked]>
Date: Wed, 08 May 2019 10:18:08 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Reconfiguring the system with "%base-packages" solved this issue. I have sound all the time.

---

https://sirgazil.bitbucket.io/

Subject: No sound most of the time (dummy output)
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 05 May 2019 13:05:08 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I installed the GNU system in a real machine using the Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).

When I play video or audio in the browser or in the desktop, I get no audio. The volume controls in the browser and desktop show the sound is not disabled. There are no errors about missing codecs or anything like that. The media 
plays, but there is no audio coming out from the speakers (which are on). Audio and speakers worked fine in the distro I was using before installing GNU with Guix. I posted this issue to help-guix (https://lists.gnu.org/archive/html/help-guix/2019-05/msg00107.html). This is what I've tried so far:

When I go to GNOME Settings → Sound, I get this:

https://multimedialib.files.wordpress.com/2019/05/dummy-output-gnu-guix-1.0.png

The name of the only device listed there corresponds to "Dummy output" in English. So, for some reason, the system is not detecting the real sound device.

Running:

    guix environment --ad-hoc alsa-utils
    alsamixer

displays this: 

https://multimedialib.files.wordpress.com/2019/05/alsamixer-guix-system-1.0.png

When I press F6 in alsamixer I see "(default)" selected, and there are no other options, except for an "enter device name..." option.

I get this behavior almost every time I start the machine. Only once, I started the machine and the speakers worked. The real sound device was displayed in "GNOME Settings → Sound", and GNOME would display information when I plugged some headphones.

However, I don't know why it worked that time. I thought it had worked because that day I didn't plugged the headphones before booting, but trying to reproduce the behavior, I went back to the beginning: No sound. No matter whether I restart with headphones unplugged, I haven't been able to get the sound device to be recognized again.

---
https://sirgazil.bitbucket.io/